<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php
///*
// * Pontifical Catholic University of Rio de Janeiro
//  *
// * Authors: Gustavo Moreira
// * Created on 10/09/2009
// */
function userLogin($login,$senha)
			{
				// criptografa a senha
				$senha = md5($senha);
				$sql = "select codusuario, senha from usuario where login ='$login'";
				$res = $this->_query($sql);
				$x = $this->_fetch_array($res);
				if ($x["senha"] != $senha)
				{
				   return false;

				}

				$cod = $x["codusuario"];
				return $cod;
			}
            
            
function retiraAcentos($nomeArg) {
    
    $string = $nomeArg;
    $a = 'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿŔŕ';
    $b = 'aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr';
    $string = utf8_decode($string);    
    $string = strtr($string, utf8_decode($a), $b);
    $string = strtoupper($string);
    $string = utf8_encode($string);
    
    return $string;
}

function FormataCPF($cpf)
{
    if ($cpf == "")
        return "";
        
    $str = substr($cpf,0,3) . "." . substr($cpf,3,3) . "." . substr($cpf,6,3) . "-" . substr($cpf,9,2);
    return $str;
}

function FormataTelefone($telefone)
{
    if ($telefone == "")
        return "";
    $str = "(" . substr($telefone,0,2) . ") " . substr($telefone,2,4) . "-" . substr($telefone,6,4);
    return $str;
}

function FormataCEP($cep)
{
    if ($cep == "")
        return "";
    $str = substr($cep,0,5) . "-" . substr($cep,5,3);
    return $str;
}

function  GravarLog( $texto, $logon)
{
    $data_hora = date("d/m/Y H:i:s");
    $linha = "$data_hora;$logon;$texto;\n";    
    $nome_arq =  "./log/log_" . date("Y_m_d") . ".csv";
    $arq = fopen($nome_arq,"a");    
    fwrite($arq, $linha);
    fclose($arq);
}

?>
